from django import forms  
from discussion.models import Thread, Topic, Person, Subject

class ThreadForm(forms.ModelForm): 
	msg = forms.CharField(widget=forms.Textarea(attrs={'class' : 'form-control send-message','rows':'3', 'placeholder':'Comment...'}))
	title = forms.CharField(widget=forms.TextInput(attrs={'class' : 'form-control send-message', 'placeholder':'Title...'}))
	class Meta:
		model = Thread
		# fields = "__all__"
		exclude = ("person","topic","likes","dislikes") 

class TopicForm(forms.ModelForm):
	title = forms.CharField(widget=forms.TextInput(attrs={'class' : 'form-control send-message', 'placeholder':'Title...'}))
	class Meta:
		model = Topic
		fields = "__all__"
		exclude = ("subject",)

class SubjectForm(forms.ModelForm):
	sub_code = forms.CharField(widget=forms.TextInput(attrs={'class' : 'inp-field', 'placeholder':'Subject Code...'}))
	sub_name = forms.CharField(widget=forms.TextInput(attrs={'class' : 'inp-field', 'placeholder':'Subject Title...'}))
	# sub_detail = forms.CharField(widget=forms.Textarea(attrs={'class' : 'inp-field', 'placeholder':'Details...'}))
	
	class Meta:
		model = Subject
		fields = "__all__"
		exclude = ("prof","sub_detail")

class SignupForm(forms.ModelForm):
	pid = forms.CharField(widget=forms.TextInput(attrs={'class' : 'inp-field', 'placeholder':'PID...'}))
	fname = forms.CharField(widget=forms.TextInput(attrs={'class' : 'inp-field', 'placeholder':'First Name...'}))
	lname = forms.CharField(widget=forms.TextInput(attrs={'class' : 'inp-field', 'placeholder':'Last name...'}))
	password = forms.CharField(widget=forms.TextInput(attrs={'class' : 'inp-field', 'placeholder':'Password...', 'type':'password'}))
	
	class Meta:
		model = Person
		fields = "__all__"

class LoginForm(forms.ModelForm):
	pid = forms.CharField(widget=forms.TextInput(attrs={'class' : 'inp-field', 'placeholder':'PID...'}))
	password = forms.CharField(widget=forms.TextInput(attrs={'class' : 'inp-field', 'placeholder':'Password...', 'type':'password'}))
	
	class Meta:
		model = Person
		fields = ('pid', 'password')

